%define oname   configuration

Name:       ruby-%{oname}
Version:    1.1.0
Release:    %mkrel 2
Summary:    Pure ruby scoped configuration files
Group:      Development/Ruby
License:    Ruby License
URL:        http://github.com/ahoward/configuration/tree/master
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Pure ruby scoped configuration files

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Wed Jan 26 2011 shikamaru <shikamaru> 1.1.0-2.mga1
+ Revision: 40178
- imported package ruby-configuration


* Wed Jan 26 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.0-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 592991
- import rubygem-configuration

